Company Info
curl --request GET \
--url https://api.chicago.global/v1/company-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/company-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/company-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/company-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/company-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/company-info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/company-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Company Data
Company Info
Get company information for one or multiple symbols.
GET
/
v1
/
company-info
Company Info
curl --request GET \
--url https://api.chicago.global/v1/company-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/company-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/company-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/company-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/company-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/company-info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/company-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get comprehensive company information including description, sector, market data, latest price, and Parallax factor scores.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
symbol | string | Yes | Stock symbol (e.g., AAPL, 0700.HK). Comma-separated for multiple. |
Response
{
"activity": "Active",
"change": "7.16",
"changepercent": "2.9",
"close": "253.79",
"currency": "USD",
"defensive": "9.5",
"description": "Apple Inc. designs, manufactures and markets smartphones, personal computers, tablets, wearables and accessories, and sells a variety of related services...",
"exchange": "Nasdaq",
"exchangecode": "NAS",
"high": "254.28",
"industry": "Phones & Handheld Devices",
"low": "247.10",
"market": "United States",
"momentum": "7.5",
"mktcap": "3731400000000",
"name": "Apple Inc",
"open": "247.49",
"quality": "10.0",
"recommendation": "HOLD",
"ric": "AAPL.O",
"sector": "Technology",
"tactical": "7.0",
"total": "6.0",
"value": "2.0",
"volume": "62000000"
}
Key Fields
| Field | Description |
|---|---|
ric | Reuters Instrument Code |
name | Company name |
description | Business description |
sector / industry | Sector and industry classification |
market | Country/market |
exchange | Stock exchange |
close / change / changepercent | Latest price data |
mktcap | Market capitalization |
value / quality / momentum / defensive / tactical | Parallax factor scores (0-10) |
total | Composite Parallax score |
recommendation | STRONG BUY, BUY, HOLD, SELL, STRONG SELL |
Example
curl "https://api.chicago.global/v1/company-info?symbol=AAPL" \
-H "Authorization: Bearer YOUR_API_KEY"
Last modified on April 1, 2026
⌘I